
function y = RandomizeCitySequence(x);

% ============================================================================
% DESCRIPTION
%
% usage: y = RandomizeCitySequence(x)
%
% Returns a random permutation of the row vector "x", where the first element
% of "x" stays unchanged. Specifically, exchanges two randomly selected
% entries of "x" in "y".
% 
% ----------------------------------------------------------------------------
% PARAMETERS
%
% x   a row vector representing the current city sequence
% 
% ----------------------------------------------------------------------------
% RETURN VALUES
%
% y  a row vector that is a random permutation of "x" where
%    (1) the first element of "y" is the first element of "x"
%    (2) two otherwise randomly selected elements in "x" are exchanged in "y"
%
% ============================================================================


%
% Implement your own solution here.
%