
function SolutionPlot(f, traj)


X_MIN = min(traj(:, 1));
X_MAX = max(traj(:, 1));

Y_MIN = min(traj(:, 2));
Y_MAX = max(traj(:, 2));

X_MIN = X_MIN - 0.33 * (X_MAX - X_MIN);
X_MAX = X_MAX + 0.33 * (X_MAX - X_MIN);

Y_MIN = Y_MIN - 0.33 * (Y_MAX - Y_MIN);
Y_MAX = Y_MAX + 0.33 * (Y_MAX - Y_MIN);

	
GRID = 100;
	
x = X_MIN * ones(1, GRID) + (X_MAX - X_MIN) * (1 : GRID) / GRID;
y = Y_MIN * ones(1, GRID) + (Y_MAX - Y_MIN) * (1 : GRID) / GRID; 


z = zeros(size(x,2), size(y,2));
for xInd = 1 : size(x,2)
	for yInd = 1 : size(y,2)
		z(xInd, yInd) = feval(f, [x(xInd), y(yInd)]);
    end
end


newplot();
hold on;
axis([X_MIN X_MAX Y_MIN Y_MAX]);
contour(x, y, z, 25);
plot(traj(:,1), traj(:,2));
hold off;
drawnow();

		
end
