 
 %
 % Very simple test: salesman starts at city one with coordinates(0, 0), 
 % travels to city two with coordinates(1, 1), and then returns to city 1.
 %
 
 problem.CITIES = zeros(2, 2);
 problem.CITIES(2, :) = [1 1];
 
 expected   = 2 * sqrt(2);
 calculated =  EvaluateCitySequence([1 2], problem);
 strOut = strcat('Expected\t= \t',sprintf('%f',expected),'\nCalculated\t= \t',sprintf('%f',calculated),' ... \n');

 fprintf(strOut);
 
 if (abs(expected - calculated) < 1e-6)
	fprintf('OK\n');
 else
	fprintf('NOT CORRECT\n');
 end
