 
 %
 % Vary any of these parameters to change the behavior of the optimization.
 %
 
 problem.MAX_ITERATIONS = 1000;
 problem.C = 1;
 problem.INITIAL_SOLUTION = [0.0, 0.0];
 
 %
 % Change these function handles is you want to try your own generation of
 % proposal solutions or optimize your onwn objective function.
 %
 
 problem.RANDOMIZE = @RandomizeSmoothSolution;
 problem.OBJECTIVE_FUNCTION = @SmoothObjectiveFunction;
 
 %
 % This calls your simulated annealing code and  plots the solution.
 %
 
 [solutions, values] = SimulatedAnnealing(problem);

 %@figure(1)
 SolutionPlot(problem.OBJECTIVE_FUNCTION, solutions);
 
 %@figure(2)
 newplot();
 plot(values);
 title('Objective function values over iterations');
 drawnow();