
function z = SmoothObjectiveFunction(x)

%
% first addend: a flat quadratic centered at (1, 1)
%

 z  = 0.01 * ((x(1) - 1.0)^2 + (x(2) - 1.0)^2);

%
% second addend: a steeper negative Gaussian centered at (0.5, 0.5)
%

 z = z - exp(-1 * ((x(1) - 0.5)^2 + (x(2) - 0.5)^2));

%
% third addend: an even more steeper negative Gaussian centered at (1.5, 1.5)
% this one defines the global minimum
%

 z = z - 3 * exp(-10 * ((x(1) - 1.5)^2 + (x(2) - 1.5)^2));

end